<?xml version="1.0"?>
<xsl:stylesheet version = "1.0" xmlns:xsl = "http://www.w3.org/1999/XSL/Transform" xmlns:docs="http://tempuri.org/docs" xmlns:ix="urn:RevisableObjectImportTemplate.xsd" exclude-result-prefixes="docs">
	<docs:transformationMetaData>
		<docs:name>Outlook Task Transformation</docs:name>
		<docs:description>Generates Tasks for Outlook. The resulting CSV file to be imported in MS Outlook. Each Task contains the ProjectName, ID and title of the Document Object.</docs:description>
		<docs:extension>.csv</docs:extension>
    <docs:onlyAsPlaintext>true</docs:onlyAsPlaintext>
	</docs:transformationMetaData>
  <xsl:output method="text"/>
  <xsl:template name="Header" match="ix:DocumentObjects">
    <xsl:text>Subject</xsl:text>
	  <xsl:text>&#xa;</xsl:text>
    <xsl:apply-templates/>
  </xsl:template>
  <xsl:template name="DocumentObjectsToMSProject" match="ix:DocumentObject">
	  <xsl:value-of select="normalize-space(@ProjectName)"/>
	  <xsl:text>-</xsl:text>
	  <xsl:value-of select="normalize-space(@ID)"/>
	  <xsl:text>: </xsl:text>
    <xsl:value-of select="normalize-space(@Title)"/>
	  <!--line break after last attribute-->
	<xsl:text>&#xa;</xsl:text>
  </xsl:template>
</xsl:stylesheet>